PyLib.Diag (Java-Python Bridge 0.10.0-SNAPSHOT Java API)
Date: 2022-06-06

org.jpy

## Class PyLib.Diag

- java.lang.Object
- - org.jpy.PyLib.Diag

- Enclosing class:
    PyLib

      public static class PyLib.Diag
      extends Object

  Controls output of diagnostic information for debugging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `F_ALL` Print any diagnostic information.
    `static int` | `F_ERR` Print diagnostic information if erroneous states are detected in the jpy Python module.
    `static int` | `F_EXEC` Print diagnostic information when code execution flow is passed from Java to Python or the other way round.
    `static int` | `F_JVM` Print diagnostic information usage of the Java VM Invocation API.
    `static int` | `F_MEM` Print diagnostic information about memory allocation/deallocation.
    `static int` | `F_METH` Print diagnostic information while Java methods overloads are selected.
    `static int` | `F_OFF` Print no diagnostic information at all.
    `static int` | `F_TYPE` Print diagnostic information while Java types are resolved.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getFlags()`
    `static void` | `setFlags(int flags)` Sets the current diagnostic flags.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_OFF

          public static final int F_OFF

      Print no diagnostic information at all.
      See Also:
        Constant Field Values

    - #### F_TYPE

          public static final int F_TYPE

      Print diagnostic information while Java types are resolved.
      See Also:
        Constant Field Values

    - #### F_METH

          public static final int F_METH

      Print diagnostic information while Java methods overloads are selected.
      See Also:
        Constant Field Values

    - #### F_EXEC

          public static final int F_EXEC

      Print diagnostic information when code execution flow is passed from Java to Python or the other way round.
      See Also:
        Constant Field Values

    - #### F_MEM

          public static final int F_MEM

      Print diagnostic information about memory allocation/deallocation.
      See Also:
        Constant Field Values

    - #### F_JVM

          public static final int F_JVM

      Print diagnostic information usage of the Java VM Invocation API.
      See Also:
        Constant Field Values

    - #### F_ERR

          public static final int F_ERR

      Print diagnostic information if erroneous states are detected in the jpy Python module.
      See Also:
        Constant Field Values

    - #### F_ALL

          public static final int F_ALL

      Print any diagnostic information.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFlags

          public static int getFlags()

      Returns:
        the current diagnostic flags.

    - #### setFlags

          public static void setFlags(int flags)

      Sets the current diagnostic flags.
      Parameters:
        `flags` - the current diagnostic flags.

Copyright © 2014–2022 Brockmann Consult GmbH. All rights reserved.